using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace ConsoleApp65
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string U   = Console.ReadLine();
            string U1   = Console.ReadLine();


            int n = int.Parse(U.Split(' ')[0]);
            int l = int.Parse(U.Split(' ')[1]);

            int y = -1 ;

            for (int i = 0; i < n; i++) 
            {

                int a = int.Parse(U1.Split(' ')[i]);

                if (a <= l)
                {

                    y = i + 1;
                    break;
                }
            }

            Console.WriteLine(y);
        }
    }
}